<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetNextParent Method (IEdmReference5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmReference5 Interface : GetNextParent Method (IEdmReference5)

Visual Basic
C#
C++/CLI

poPos
  Position of the next parent file to get

Enumerates the files referencing this file.

# Syntax

Visual Basic |
--- | ---

    Function GetNextParent( _
       ByVal poPos As IEdmPos5 _
    ) As IEdmReference5

C# |
--- | ---

    IEdmReference5 GetNextParent(
       IEdmPos5 poPos
    )

C++/CLI |
--- | ---

    IEdmReference5^ GetNextParent(
    &   IEdmPos5^ poPos
    )

#### Parameters

poPos
  Position of the next parent file to get

#### Return Value

Parent file

# Example

Get Parent References of File (VB.NET)
Get Parent References of File (C#)

# Remarks

Call IEdmReference7::GetFirstParentPosition2 to get the position of the first referenced parent file, before you call this method the first time.

After calling this method the first time, poPos is automatically incremented every time this method is called. Call this method repeatedly to obtain the rest of the referenced parent files.

Return code S_OK indicates that the method successfully executed.

# See Also

####

IEdmReference5 Interface
IEdmReference5 Members

# Availability

Version 5.2 of SOLIDWORKS PDM Professional